﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Fast2D;
using OpenTK;

namespace ggj_2017
{
   public class Cloud
    {
        public Sprite sprite;
        public Texture texture;
        public Vector2 speed;
        public Vector2 direction;

        public Cloud()
        {
            sprite = new Sprite(200, 100);
            speed = new Vector2(20, 10);
            direction = new Vector2(1, 1);
        }

        public void Draw()
        {
            sprite.DrawTexture(texture);
        }
        public void Update()
        {
            sprite.position += speed * Game.window.deltaTime*direction;
            
        }
    }
}
