﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Fast2D;
using OpenTK;
using Aiv.Audio;

namespace ggj_2017
{
    public class WhiteNoise : GameObject
    {
        public float speed;
        public Sprite Two;
        public Texture Twot;
        public Sprite Three;
        public float timer;
        public float maxTime;
       
        public WhiteNoise(Vector2 position, Vector2 velocity) : base(position, "wn", new Vector2(Game.window.Width*2,200))
        {
            speed = -32.5f;
            Twot = GfxMng.GetTexture("wnTwo");
            Two = new Sprite(Game.window.Width*3, 200);
            Two.position = new Vector2(position.X-200, position.Y);          
            Three = new Sprite(Game.window.Width*3, Twot.Height);
            Three.position = new Vector2(position.X, position.Y + 100);
            //Three.position = new Vector2(position.X, position.Y + 60);
            //Fourt = GfxMng.GetTexture("wnFour");
            //Four = new Sprite(Game.window.Width, Twot.Height);
            //Four.position = new Vector2(position.X, position.Y + 90);
            //rigidBody = new RigidBody(sprite.position, this);
            //rigidBody.Velocity = new Vector2(velocity.X,velocity.Y);
            timer = 5f;
            maxTime = 5f;
        }

        public override void Draw()
        {
            base.Draw();
            Two.DrawTexture(Twot);
            Three.DrawTexture(Twot);
            //Four.DrawTexture(Fourt);

        }

        public override void Update()
        {
            base.Update();
            sprite.position.Y += speed * Game.window.deltaTime;
            Two.position.Y += speed * Game.window.deltaTime;
            Three.position.Y += speed * Game.window.deltaTime;
            //Three.position.Y += speed * Game.window.deltaTime;
            //Four.position.Y += speed * Game.window.deltaTime;
            //rigidBody.SetYvelocity(speed);
            if (timer <= 2.5f&&timer >0)
            {
                sprite.position.X += 40 * Game.window.deltaTime;
                Two.position.X -= 40 * Game.window.deltaTime;
            }
            else if(timer>=2.5&&timer<=5)
            {
                sprite.position.X -= 40 * Game.window.deltaTime;
                Two.position.X += 40 * Game.window.deltaTime;
            }
            else if (timer <= 0) timer = 5f;
            timer -= Game.window.deltaTime;
        }
    }
}

