﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Fast2D;
using OpenTK;
using Aiv.Audio;

namespace ggj_2017.Piera
{
   public abstract class GameLevel
    {
        public Sprite sprite;
        public Texture texture;
        public AudioSource source;
        public AudioClip theme;

        public GameLevel()
        {
            source = new AudioSource();
        }
        public abstract void Update();

        public abstract void Draw();

        public abstract void Input();
    }
}
