﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ggj_2017;
using Aiv.Fast2D;
using OpenTK;
using Aiv.Audio;
using ggj_2017.Virginia;

namespace ggj_2017.Piera
{
    public class MenuLevel : GameLevel
    {
        public bool isButtonPressed;
        public AudioClip theme2;

        public MenuLevel() : base()
        {
            sprite = new Sprite(Game.window.Width, Game.window.Height);
            texture = GfxMng.GetTexture("menu");
            theme2 = Sound.GetAudio("MenuTheme");
        }

        public override void Draw()
        {
            sprite.DrawTexture(texture);
        }

        public override void Update()
        {   
            source.Stream(theme2, Game.window.deltaTime, true);
            
        }

        public override void Input()
        {
            
             

            if (Game.window.GetKey(KeyCode.Space) || (Game.window.mouseLeft && Game.window.mousePosition.X >= 200 && Game.window.mousePosition.Y >= 320 && Game.window.mousePosition.X <= 320 && Game.window.mousePosition.Y <= 355 )|| Game.window.JoystickA(0)) {
                Game.levels[2] = new GameOverLevel();
                Game.levels[3] = new GameWonLevel();
                Game.index = 1;
                source.Dispose();
            }else if ((Game.window.mouseLeft && Game.window.mousePosition.X >= 200 && Game.window.mousePosition.Y >= 380 && Game.window.mousePosition.X <= 325 && Game.window.mousePosition.Y <= 415) || Game.window.JoystickY(0))
            {
                Credits cre = (Credits)Game.levels[4];
                cre.init();
                Game.index = 4;
                source.Dispose();
            }else if ((Game.window.mouseLeft && Game.window.mousePosition.X >= 200 && Game.window.mousePosition.Y >= 440 && Game.window.mousePosition.X <= 315 && Game.window.mousePosition.Y <= 475)||Game.window.JoystickX(0))
            {
                Game.window.opened = false;
            }
        }
    }
}
