﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Audio;

namespace ggj_2017
{
    public static class Sound
    {
       
        public static AudioSource noteSource = new AudioSource();
        public static Dictionary<String, AudioClip> tunes;

        static Sound()
        {
            tunes = new Dictionary<string, AudioClip>();
            tunes.Add("MenuTheme", new AudioClip("Assets/sounds/Ending level audiotrack.wav"));
            tunes.Add("WhiteNoise", new AudioClip("Assets/sounds/WNoise_audio.wav"));
            tunes.Add("GameOverTheme", new AudioClip("Assets/sounds/Ending level audiotrack loop.wav"));
            tunes.Add("a1", new AudioClip("Assets/sounds/a1.wav"));
            tunes.Add("a2", new AudioClip("Assets/sounds/a2.wav"));
            tunes.Add("a3", new AudioClip("Assets/sounds/a3.wav"));
            tunes.Add("a4", new AudioClip("Assets/sounds/a4.wav"));
            tunes.Add("a5", new AudioClip("Assets/sounds/a5.wav"));
            tunes.Add("a6", new AudioClip("Assets/sounds/a6.wav"));
            tunes.Add("a7", new AudioClip("Assets/sounds/a7.wav"));
            tunes.Add("a8", new AudioClip("Assets/sounds/a8.wav"));
            tunes.Add("a9", new AudioClip("Assets/sounds/a9.wav"));
            tunes.Add("a10", new AudioClip("Assets/sounds/a10.wav"));
            tunes.Add("a11", new AudioClip("Assets/sounds/a11.wav"));
            tunes.Add("a12", new AudioClip("Assets/sounds/a12.wav"));
            tunes.Add("a13", new AudioClip("Assets/sounds/a13.wav"));
            tunes.Add("a14", new AudioClip("Assets/sounds/a14.wav"));
            tunes.Add("a15", new AudioClip("Assets/sounds/a15.wav"));
            tunes.Add("a16", new AudioClip("Assets/sounds/a16.wav"));

            tunes.Add("b1", new AudioClip("Assets/sounds/b1.wav"));
            tunes.Add("b2", new AudioClip("Assets/sounds/b2.wav"));
            tunes.Add("b3", new AudioClip("Assets/sounds/b3.wav"));
            tunes.Add("b4", new AudioClip("Assets/sounds/b4.wav"));
            tunes.Add("b5", new AudioClip("Assets/sounds/b5.wav"));
            tunes.Add("b6", new AudioClip("Assets/sounds/b6.wav"));
            tunes.Add("b7", new AudioClip("Assets/sounds/b7.wav"));
            tunes.Add("b8", new AudioClip("Assets/sounds/b8.wav"));
            tunes.Add("b9", new AudioClip("Assets/sounds/b9.wav"));
            tunes.Add("b10", new AudioClip("Assets/sounds/b10.wav"));
            tunes.Add("b11", new AudioClip("Assets/sounds/b11.wav"));
            tunes.Add("b12", new AudioClip("Assets/sounds/b12.wav"));
            tunes.Add("b13", new AudioClip("Assets/sounds/b13.wav"));
            tunes.Add("b14", new AudioClip("Assets/sounds/b14.wav"));
            tunes.Add("b15", new AudioClip("Assets/sounds/b15.wav"));
            tunes.Add("b16", new AudioClip("Assets/sounds/b16.wav"));
            tunes.Add("error", new AudioClip("Assets/sounds/ErrorSound.wav"));
        }

        public static AudioClip GetAudio(string soundName)
        {
            if (tunes.ContainsKey(soundName))
                return tunes[soundName];
            return null;
        }
    }
}

