﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Fast2D;
using OpenTK;
using ggj_2017.Virginia;
using ggj_2017.Piera;


namespace ggj_2017
{
    public class CloudsMgr
    {
        public Cloud[] clouds;


        public CloudsMgr()
        {
            clouds = new Cloud[8];
            for(int i=0;i<clouds.Length;i++)
            {
                clouds[i] = new Cloud();
                clouds[i].texture = GfxMng.GetTexture("cloud1");
                
            }
            for (int i = 2; i < 4; i++)
            {
                
                clouds[i].texture = GfxMng.GetTexture("cloud2");
            }
            for (int i = 4; i < 6; i++)
            {

                clouds[i].texture = GfxMng.GetTexture("cloud3");
            }
            for (int i = 6; i < clouds.Length; i++)
            {

                clouds[i].texture = GfxMng.GetTexture("cloud4");
            }

            clouds[0].sprite.position = new Vector2(0, -1000-500);
            clouds[0].direction.X= 1;
            clouds[1].sprite.position = new Vector2(0, -1300-500);
            clouds[1].direction.X = 1;
            clouds[2].sprite.position = new Vector2(Game.window.Width, -1100-500);
            clouds[2].direction.X = -1;
            clouds[3].sprite.position = new Vector2(Game.window.Width, -1400-500);
            clouds[3].direction.X = -1;
            clouds[4].sprite.position = new Vector2(0, -1800-500);
            clouds[4].direction.X = 1;
            clouds[5].sprite.position = new Vector2(0, -2000-500);
            clouds[5].direction.X = 1;
            clouds[6].sprite.position = new Vector2(Game.window.Width, -1900-500);
            clouds[6].direction.X = -1;
            clouds[7].sprite.position = new Vector2(Game.window.Width, -2100-500);
            clouds[7].direction.X = -1;
        }

        public void Draw()
        {
            for(int i=0;i<clouds.Length;i++)
            {
                clouds[i].Draw();
            }
            
        }

        public void Update()
        {

            for (int i = 0; i < clouds.Length; i++)
            {
                clouds[i].Update();
            }

            if (clouds[0].sprite.position.Y >= -980 -500|| clouds[0].sprite.position.Y <= -1200 - 500)
                clouds[0].direction.Y *= -1;
            if (clouds[1].sprite.position.Y >= -1280 - 500 || clouds[1].sprite.position.Y <= -1320 - 500)
                clouds[1].direction.Y *= -1;
            if (clouds[2].sprite.position.Y >= -1080 - 500 || clouds[2].sprite.position.Y <= -1120 - 500)
                clouds[2].direction.Y *= -1;
            if (clouds[3].sprite.position.Y >= -1380 - 500 || clouds[3].sprite.position.Y <= -1420 - 500)
                clouds[3].direction.Y *= -1;
            if (clouds[4].sprite.position.Y >= -1780 - 500 || clouds[4].sprite.position.Y <= -1820 - 500)
                clouds[4].direction.Y *= -1;
            if (clouds[5].sprite.position.Y >= -1980 - 500 || clouds[5].sprite.position.Y <= -2020 - 500)
                clouds[5].direction.Y *= -1;
            if (clouds[6].sprite.position.Y >= -1880 - 500 || clouds[6].sprite.position.Y <= -1920 - 500)
                clouds[6].direction.Y *= -1;
            if (clouds[7].sprite.position.Y >= -2080 - 500 || clouds[7].sprite.position.Y <= -2120 - 500)
                clouds[7].direction.Y *= -1;


            if (clouds[0].sprite.position.X >= Game.window.Width)
                clouds[0].sprite.position.X = 0 - clouds[0].sprite.Width;
            if (clouds[1].sprite.position.X >= Game.window.Width)
                clouds[1].sprite.position.X = 0 - clouds[1].sprite.Width;
            if (clouds[2].sprite.position.X + clouds[2].sprite.Width<= 0)
                clouds[2].sprite.position.X = Game.window.Width;
            if (clouds[3].sprite.position.X + clouds[3].sprite.Width<= 0)
                clouds[3].sprite.position.X = Game.window.Width;
            if (clouds[4].sprite.position.X  >= Game.window.Width)
                clouds[4].sprite.position.X = 0 - clouds[4].sprite.Width;
            if (clouds[5].sprite.position.X  >= Game.window.Width)
                clouds[5].sprite.position.X = 0 - clouds[5].sprite.Width;
            if (clouds[6].sprite.position.X + clouds[6].sprite.Width  <= 0)
                clouds[6].sprite.position.X = Game.window.Width;
            if (clouds[7].sprite.position.X + clouds[7].sprite.Width <= 0)
                clouds[7].sprite.position.X = Game.window.Width;
        }


    }
}
