﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Aiv.Fast2D;
using OpenTK;

namespace ggj_2017.Elia
{
    public class TileManagerWithLevel : TileManager
    {

        public TileManagerWithLevel() : base()
        {

        }

        protected override List<Pair<Tile, float>> getTilesLivello(int livello)
        {

            List<Pair<Tile, float>> livelloList = new List<Pair<Tile, float>>();
            float offsetBase = Game.window.Height - 144f;
            float OneBox = 90f;
            Random r = new Random();
            int rand = r.Next(0, 2);
            //int rand = 0
            Console.WriteLine(rand);
            switch (livello)
            {
                case 0:
                    if (rand == 0)
                    {

                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - OneBox), "piattaforma", new Vector2(40, 40), "b1"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 2 * OneBox), "piattaforma", new Vector2(40, 40), "b2"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 3 * OneBox), "piattaforma", new Vector2(40, 40), "b3"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 4 * OneBox), "piattaforma", new Vector2(40, 40), "b4"), 7f));
                    }
                    else if (rand == 1)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - OneBox), "piattaforma", new Vector2(40, 40), "b1"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 2 * OneBox), "piattaforma", new Vector2(40, 40), "b2"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 3 * OneBox), "piattaforma", new Vector2(40, 40), "b3"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 4 * OneBox), "piattaforma", new Vector2(40, 40), "b4"), 7f));

                    }
                    break;

                case 1:
                    if (rand == 1)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(0, offsetBase - 6 * OneBox), "piattaforma", new Vector2(40, 40), "b5"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 7 * OneBox), "piattaforma", new Vector2(40, 40), "b6"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 9 * OneBox), "piattaforma", new Vector2(40, 40), "b7"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 10 * OneBox), "piattaforma", new Vector2(40, 40), "b8"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 11 * OneBox), "piattaforma", new Vector2(40, 40), "b9"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 11 * OneBox), "piattaforma", new Vector2(40, 40), "b10"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 11 * OneBox), "piattaforma", new Vector2(40, 40), "b11"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 12 * OneBox), "piattaforma", new Vector2(40, 40), "b12"), 15f));
                    }
                    else if(rand ==0)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 6 * OneBox), "piattaforma", new Vector2(40, 40), "b5"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 7 * OneBox), "piattaforma", new Vector2(40, 40), "b6"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 7 * OneBox), "piattaforma", new Vector2(40, 40), "b7"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 8 * OneBox), "piattaforma", new Vector2(40, 40), "b8"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 9 * OneBox), "piattaforma", new Vector2(40, 40), "b9"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 10 * OneBox), "piattaforma", new Vector2(40, 40), "b10"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 11 * OneBox), "piattaforma", new Vector2(40, 40), "b11"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 12 * OneBox), "piattaforma", new Vector2(40, 40), "b12"), 15f));

                    }
                    break;

                case 2:
                    if (rand == 0)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 14 * OneBox), "piattaforma", new Vector2(40, 40), "b13"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - 15 * OneBox), "piattaforma", new Vector2(40, 40), "b14"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 16 * OneBox), "piattaforma", new Vector2(40, 40), "b15"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 16 * OneBox), "piattaforma", new Vector2(40, 40), "b16"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 17 * OneBox), "piattaforma", new Vector2(40, 40), "a1"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 18 * OneBox), "piattaforma", new Vector2(40, 40), "a2"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 19 * OneBox), "piattaforma", new Vector2(40, 40), "a3"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 20 * OneBox), "piattaforma", new Vector2(40, 40), "a4"), 15f));
                    }
                    else if (rand == 1)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - 14 * OneBox), "piattaforma", new Vector2(40, 40), "b13"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 15 * OneBox), "piattaforma", new Vector2(40, 40), "b14"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 17 * OneBox), "piattaforma", new Vector2(40, 40), "b15"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - 18 * OneBox), "piattaforma", new Vector2(40, 40), "b16"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 19 * OneBox), "piattaforma", new Vector2(40, 40), "a1"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 19 * OneBox), "piattaforma", new Vector2(40, 40), "a2"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 20 * OneBox), "piattaforma", new Vector2(40, 40), "a3"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 20 * OneBox), "piattaforma", new Vector2(40, 40), "a4"), 15f));

                    }
                    break;

                case 3:
                    if (rand == 0)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(0, offsetBase - 22 * OneBox), "piattaforma", new Vector2(40, 40), "a5"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 23 * OneBox), "piattaforma", new Vector2(40, 40), "a6"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 23 * OneBox), "piattaforma", new Vector2(40, 40), "a7"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 24 * OneBox), "piattaforma", new Vector2(40, 40), "a8"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 25 * OneBox), "piattaforma", new Vector2(40, 40), "a9"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 26 * OneBox), "piattaforma", new Vector2(40, 40), "a10"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 27 * OneBox), "piattaforma", new Vector2(40, 40), "a11"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 27 * OneBox), "piattaforma", new Vector2(40, 40), "a12"), 15f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - 28 * OneBox), "piattaforma", new Vector2(40, 40), "a13"), 17f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 29 * OneBox), "piattaforma", new Vector2(40, 40), "a14"), 19f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase - 30 * OneBox), "piattaforma", new Vector2(40, 40), "a15"), 21f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 31 * OneBox), "piattaforma", new Vector2(40, 40), "a16"), 23f));
                    }
                    else if (rand == 1)
                    {
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 22 * OneBox), "piattaforma", new Vector2(40, 40), "a5"), 1f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 23 * OneBox), "piattaforma", new Vector2(40, 40), "a6"), 3f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 24 * OneBox), "piattaforma", new Vector2(40, 40), "a7"), 5f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 25 * OneBox), "piattaforma", new Vector2(40, 40), "a8"), 7f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 26 * OneBox), "piattaforma", new Vector2(40, 40), "a9"), 9f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(0, offsetBase - 27 * OneBox), "piattaforma", new Vector2(40, 40), "a10"), 11f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(80, offsetBase - 28 * OneBox), "piattaforma", new Vector2(40, 40), "a11"), 13f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(160, offsetBase - 28 * OneBox), "piattaforma", new Vector2(40, 40), "a12"), 15f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(240, offsetBase - 28 * OneBox), "piattaforma", new Vector2(40, 40), "a13"), 17f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 29 * OneBox), "piattaforma", new Vector2(40, 40), "a14"), 19f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(400, offsetBase -  30* OneBox), "piattaforma", new Vector2(40, 40), "a15"), 21f));
                        livelloList.Add(new Pair<Tile, float>(new Tile(new Vector2(320, offsetBase - 31 * OneBox), "piattaforma", new Vector2(40, 40), "a16"), 23f));

                    }

                    break;

            }

            return livelloList;
        }

        protected override void impostaTileFisse()
        {
            float offsetBase = Game.window.Height - 144f;
            float OneBox = 90f;
            tileFisse = new List<Tile>();
            for(int i = 0; i < 12; ++i) {
                tileFisse.Add(new Tile(new Vector2(16+i*40, Game.window.Height - 144), "cassa", new Vector2(40, 40)));
            }
            for (int i = 0; i < 3; ++i) {
                tileFisse.Add(new Tile(new Vector2(16+i*40, offsetBase - 5 * OneBox), "cassa", new Vector2(40, 40)));
            }

            for (int i = 7; i < 12; ++i) {
                tileFisse.Add(new Tile(new Vector2(16+i * 40, offsetBase - 5 * OneBox), "cassa", new Vector2(40, 40)));
            }
            
            tileFisse.Add(new Tile(new Vector2(160, offsetBase - 8 * OneBox), "cassa", new Vector2(40, 40)));

            for (int i = 0; i < 3; ++i) {

                tileFisse.Add(new Tile(new Vector2(512-16-120+i*40, offsetBase - 13 * OneBox), "cassa", new Vector2(40, 40)));
            }

            for (int i = 0; i < 5; ++i) {

               tileFisse.Add(new Tile(new Vector2(16+i*40, offsetBase - 14 * OneBox), "cassa", new Vector2(40, 40)));
            }

            tileFisse.Add(new Tile(new Vector2(240, offsetBase - 16 * OneBox), "cassa", new Vector2(40, 40)));


            for (int i = 0; i < 3; ++i) {

                tileFisse.Add(new Tile(new Vector2(16+i*40, offsetBase - 21 * OneBox), "cassa", new Vector2(40, 40)));
            }

            for (int i = 7; i < 12; ++i) {

                tileFisse.Add(new Tile(new Vector2(16+i*40, offsetBase - 21 * OneBox), "cassa", new Vector2(40, 40)));
            }

            tileFisse.Add(new Tile(new Vector2(160, offsetBase - 27 * OneBox), "cassa", new Vector2(40, 40)));

            tileFisse.Add(new Tile(new Vector2(-40, -20160), "cassa", new Vector2(40, 31680)));
            tileFisse.Add(new Tile(new Vector2(512, -20160), "cassa", new Vector2(40, 31680)));
            
            for (int i = 0; i < 12; ++i) {
                tileFisse.Add(new Tile(new Vector2(16 + i * 40, -2568-160), "cassa", new Vector2(40, 40)));
            }

        }

        protected override void impostaPosizioniCheckPoint()
        {
            float offsetBase = Game.window.Height - 144f;
            float OneBox = 90f;
            posizioniCheckPoint = new List<int>();

            posizioniCheckPoint.Add(Game.window.Height -150);
            posizioniCheckPoint.Add((int)offsetBase - 5 * (int)OneBox - 50);
            posizioniCheckPoint.Add((int)offsetBase - 13 * (int)OneBox - 50);
            posizioniCheckPoint.Add((int)offsetBase - 14 * (int)OneBox - 50);
            posizioniCheckPoint.Add((int)offsetBase - 21 * (int)OneBox - 50);

        }

        protected override int getLivello(float yPos)
        {
            float offsetBase = Game.window.Height - 144f;
            float OneBox = 90f;
            if (yPos < offsetBase - 4 * OneBox +20 && yPos >= offsetBase - 12 * OneBox+20)
            {
                return 1;
            }
            if(yPos< offsetBase - 12 * OneBox + 20 && yPos>= offsetBase - 20 * OneBox+20)
            {
                return 2;
            }
            else if(yPos < offsetBase - 20 * OneBox+20 )
            {
                return 3;
            }
            return 0;
        }
    }
}
