﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ggj_2017.Piera;
using Aiv.Fast2D;
using OpenTK;
using ggj_2017.Elia;

namespace ggj_2017.Virginia
{
    public class Credits : GameLevel
    {
        public bool isButtonPressed;
        public float timer;
        public float maxTimer;
        public Sprite tile2;
        public Sprite tile3;
        public Sprite tile4;
        public Sprite tile5;
        public Texture t2;
        public Texture t3;
        public Texture t4;
        public Texture t5;

        public Credits() : base() {
            init();
        }

        public void init() {
            t4 = GfxMng.GetTexture("creds4");
            tile4 = new Sprite(t4.Width, t4.Height);
            tile4.position = new Vector2(0);
            timer = 0;
            maxTimer = 5;
            theme = Sound.GetAudio("WhiteNoise");
            source.Volume = 0.5f;
            theme.Rewind();
            isButtonPressed = false;
        }

        public override void Draw()
        {

            tile4.DrawTexture(t4);
        }

        public override void Update() {
            source.Stream(theme, Game.window.deltaTime, true);
        }

        public override void Input()
        {
            if (isButtonPressed == false) {
                if (Game.window.GetKey(KeyCode.Return) || Game.window.JoystickBack(0))
                { 
                    source.Dispose();
                    Game.levels[0] = new MenuLevel();
                    Game.index = 0;
                    isButtonPressed = true;

                }
            }
            if (!Game.window.GetKey(KeyCode.Return) && !Game.window.JoystickBack(0)) isButtonPressed = false;


        }
    }
}
