﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ggj_2017.Piera;
using Aiv.Fast2D;
using OpenTK;

namespace ggj_2017.Virginia
{
    public class GameWonLevel : GameLevel
    {
        public int index;
        public bool isButtonPressed = false;
        public float timer;
        public float timerBack;
        public Sprite endB;
        public bool aspettaCamera = false;
        public float timeCamera = 0f;
        public bool cadi = false;

        public GameWonLevel()
        {
            endB = new Sprite(512, 600);
            index = 0;
            timerBack = 0f;
            endB.position = new Vector2(0, -2568);
            //((PlayLevel)(Game.levels[1])).player.sprite.scale = new Vector2(-1f,1f);
        }

        public override void Draw()
        {

            ((PlayLevel)(Game.levels[1])).b.DrawTexture(((PlayLevel)(Game.levels[1])).t);

            ((PlayLevel)(Game.levels[1])).vittoria.Draw();
            if (aspettaCamera) {
                if (timerBack >= 0.5f && timerBack < 1f) {
                    endB.DrawTexture(GfxMng.GetTexture("end1"));
                } else if (timerBack >= 1f && timerBack < 1.5f) {
                    endB.DrawTexture(GfxMng.GetTexture("end2"));
                } else if (timerBack >= 1.5f && timerBack < 2f) {
                    endB.DrawTexture(GfxMng.GetTexture("end3"));
                } else if (timerBack >= 2f && timerBack < 2.5f) {
                    endB.DrawTexture(GfxMng.GetTexture("end4"));
                } else if (timerBack >= 2.5f && timerBack < 3f) {
                    endB.DrawTexture(GfxMng.GetTexture("end5"));
                } else if (timerBack >= 3.0f && timerBack < 3.5f) {
                    endB.DrawTexture(GfxMng.GetTexture("end6"));
                } else if (timerBack >= 3.5f && timerBack < 4f) {
                    endB.DrawTexture(GfxMng.GetTexture("end7"));
                } else if (timerBack >= 4f && timerBack < 4.5f) {
                    endB.DrawTexture(GfxMng.GetTexture("end8"));
                } else if (timerBack >= 4.5 && timerBack < 5f) {
                    endB.DrawTexture(GfxMng.GetTexture("end9"));
                } else if (timerBack >= 5) {
                    endB.DrawTexture(GfxMng.GetTexture("end10"));
                }
                //((PlayLevel)(Game.levels[1])).b.DrawTexture(((PlayLevel)(Game.levels[1])).t);
                //((PlayLevel)(Game.levels[1])).vittoria.sprite.DrawSolidColor(1f, 0, 0);
                if (index <= 18) ((PlayLevel)(Game.levels[1])).player.sprite.DrawTexture(GfxMng.GetTexture("burn"), index * 32, 0, 31, 32);
                else if (index > 18 && index < 26) {
                    if (((PlayLevel)(Game.levels[1])).player.isRight == false) {
                        ((PlayLevel)(Game.levels[1])).player.sprite.FlipX = true;
                    }
                    ((PlayLevel)(Game.levels[1])).player.sprite.DrawTexture(GfxMng.GetTexture("walk"), (index - 19) * 32, 0, 32, 32);
                }else if (index > 25) {
                    if (((PlayLevel)(Game.levels[1])).player.isRight == false) {
                        ((PlayLevel)(Game.levels[1])).player.sprite.FlipX = true;
                    }
                  ((PlayLevel)(Game.levels[1])).player.sprite.DrawTexture(GfxMng.GetTexture("suicide"), (index - 26) * 38, 0, 38, 32);
                }
                if (timer >= 0.25 && index < 18) {
                    {
                        index++;
                        timer = 0;
                    }
                } else if (index >= 18 && timer >= 0.4f && index <26) {
                    if (cadi) {
                        index = 25;
                    }
                    index++;
                    timer = 0;
                    if(index == 26 && !cadi) {
                        index = 19;
                    }

                } else if (index >= 26 && timer >= 0.6f) {
                    index++;
                    timer = 0;
                    if (index > 31) {
                        index = 31;
                    }

                }
            }else {
                ((PlayLevel)(Game.levels[1])).player.sprite.DrawTexture(GfxMng.GetTexture("burn"), 0, 0, 31, 50);
            }
            
        }

        

        public override void Update()
        {
            if (timeCamera > 0.01f && Game.camera.position.Y > -2568) {
                Game.camera.position.Y -=0.8f;
                aspettaCamera = true;
                if (Game.camera.position.Y <= -2568) {
                    Game.camera.position.Y =-2568;
                }
            }
            timeCamera+= Game.window.deltaTime;
            timerBack += Game.window.deltaTime;
            timer += Game.window.deltaTime;
            if (index > 18 && index < 26)
            {
                ((PlayLevel)(Game.levels[1])).player.sprite.position.X += 22 * Game.window.deltaTime;
            }
            if ((((PlayLevel)Game.levels[1])).player.sprite.position.X >= ((PlayLevel)(Game.levels[1])).vittoria.sprite.position.X + 225 && (((PlayLevel)Game.levels[1])).player.sprite.position.X < ((PlayLevel)(Game.levels[1])).vittoria.sprite.position.X + 265) {
                ((PlayLevel)(Game.levels[1])).player.sprite.position.X += 15 * Game.window.deltaTime;
                cadi = true;
            }
            if ((((PlayLevel)Game.levels[1])).player.sprite.position.X >= ((PlayLevel)(Game.levels[1])).vittoria.sprite.position.X + 265) {
                //((PlayLevel)(Game.levels[1])).player.sprite.EulerRotation = 180;
                ((PlayLevel)(Game.levels[1])).player.sprite.position.Y -= -100 * Game.window.deltaTime;
                ((PlayLevel)(Game.levels[1])).player.sprite.position.X += 10 * Game.window.deltaTime;

            }
            if (((PlayLevel)(Game.levels[1])).player.sprite.position.Y >= -1700)
            {
                Game.camera.position = new Vector2(0, 0);
                Game.levels[0] = new MenuLevel();
                Game.levels[1] = new PlayLevel();
                Game.index = 0;
            }
        }

        public override void Input()
        {

        }
    }
}
